Functions
FLAG_Management
Peripheral Driver » LL Driver » SPI » Functions

## Functions
__STATIC_INLINE uint32_t | ll_spi_get_status (spi_regs_t *SPIx)
| Get SPI status. More...
__STATIC_INLINE uint32_t | ll_spi_is_active_flag (spi_regs_t *SPIx, uint32_t flag)
| Check active flag. More...
__STATIC_INLINE uint32_t | ll_spi_get_it_flag (spi_regs_t *SPIx)
| Get SPI interrupt flags. More...
__STATIC_INLINE uint32_t | ll_spi_is_it_flag (spi_regs_t *SPIx, uint32_t flag)
| Check interrupt flag. More...
__STATIC_INLINE uint32_t | ll_spi_get_raw_if_flag (spi_regs_t *SPIx)
| Get SPI raw interrupt flags. More...
__STATIC_INLINE void | ll_spi_clear_flag_txo (spi_regs_t *SPIx)
| Clear transmit FIFO overflow error flag. More...
__STATIC_INLINE void | ll_spi_clear_flag_rxo (spi_regs_t *SPIx)
| Clear receive FIFO overflow error flag. More...
__STATIC_INLINE void | ll_spi_clear_flag_rxu (spi_regs_t *SPIx)
| Clear receive FIFO underflow error flag. More...
__STATIC_INLINE void | ll_spi_clear_flag_mst (spi_regs_t *SPIx)
| Clear multi-master error flag. More...
__STATIC_INLINE void | ll_spi_clear_flag_all (spi_regs_t *SPIx)
| Clear all error flag. More...

## Detailed Description

## Function Documentation

## ◆ ll_spi_clear_flag_all()

__STATIC_INLINE void ll_spi_clear_flag_all | ( | spi_regs_t * | SPIx | ) |

Clear all error flag.

Note
  Clearing this flag is done by reading INTCLR register

Register|BitsName --------|-------- INTCLR | INTCLR

Parameters

  SPIx | SPI instance

Return values

  None |

Definition at line 1507 of file gr533x_ll_spi.h.

## ◆ ll_spi_clear_flag_mst()

__STATIC_INLINE void ll_spi_clear_flag_mst | ( | spi_regs_t * | SPIx | ) |

Clear multi-master error flag.

Note
  Clearing this flag is done by reading MSTIC register

Register|BitsName --------|-------- MSTIC | MSTIC

Parameters

  SPIx | SPI instance

Return values

  None |

Definition at line 1489 of file gr533x_ll_spi.h.

## ◆ ll_spi_clear_flag_rxo()

__STATIC_INLINE void ll_spi_clear_flag_rxo | ( | spi_regs_t * | SPIx | ) |

Clear receive FIFO overflow error flag.

Note
  Clearing this flag is done by reading RXOIC register

Register|BitsName --------|-------- RXOIC | RXOIC

Parameters

  SPIx | SPI instance

Return values

  None |

Definition at line 1453 of file gr533x_ll_spi.h.

## ◆ ll_spi_clear_flag_rxu()

__STATIC_INLINE void ll_spi_clear_flag_rxu | ( | spi_regs_t * | SPIx | ) |

Clear receive FIFO underflow error flag.

Note
  Clearing this flag is done by reading RXUIC register

Register|BitsName --------|-------- RXUIC | RXUIC

Parameters

  SPIx | SPI instance

Return values

  None |

Definition at line 1471 of file gr533x_ll_spi.h.

## ◆ ll_spi_clear_flag_txo()

__STATIC_INLINE void ll_spi_clear_flag_txo | ( | spi_regs_t * | SPIx | ) |

Clear transmit FIFO overflow error flag.

Note
  Clearing this flag is done by reading TXOIC register

Register|BitsName --------|-------- TXOIC | TXOIC

Parameters

  SPIx | SPI instance

Return values

  None |

Definition at line 1435 of file gr533x_ll_spi.h.

## ◆ ll_spi_get_it_flag()

__STATIC_INLINE uint32_t ll_spi_get_it_flag | ( | spi_regs_t * | SPIx | ) |

Get SPI interrupt flags.

Register|BitsName --------|-------- INTSTAT | INTSTAT

Parameters

  SPIx | SPI instance

Return values

  Returned | value can be one or combination of the following values: LL_SPI_IM_MST(not effect in SPIS) LL_SPI_IM_RXF LL_SPI_IM_RXO LL_SPI_IM_RXU LL_SPI_IM_TXO LL_SPI_IM_TXE

Definition at line 1371 of file gr533x_ll_spi.h.

## ◆ ll_spi_get_raw_if_flag()

__STATIC_INLINE uint32_t ll_spi_get_raw_if_flag | ( | spi_regs_t * | SPIx | ) |

Get SPI raw interrupt flags.

Register|BitsName --------|-------- RAW_INTSTAT | RAW_INTSTAT

Parameters

  SPIx | SPI instance

Return values

  Returned | value can be one or combination of the following values: LL_SPI_IM_MST(not effect in SPIS) LL_SPI_IM_RXF LL_SPI_IM_RXO LL_SPI_IM_RXU LL_SPI_IM_TXO LL_SPI_IM_TXE

Definition at line 1419 of file gr533x_ll_spi.h.

## ◆ ll_spi_get_status()

__STATIC_INLINE uint32_t ll_spi_get_status | ( | spi_regs_t * | SPIx | ) |

Get SPI status.

Register|BitsName --------|-------- STAT | STAT

Parameters

  SPIx | SPI instance

Return values

  Returned | value can be one or combination of the following values: LL_SPI_SR_DCOL(no effect in SPIS) LL_SPI_SR_TXE LL_SPI_SR_RFF LL_SPI_SR_RFNE LL_SPI_SR_TFE LL_SPI_SR_TFNF LL_SPI_SR_BUSY

Definition at line 1321 of file gr533x_ll_spi.h.

## ◆ ll_spi_is_active_flag()

__STATIC_INLINE uint32_t ll_spi_is_active_flag | ( | spi_regs_t * | SPIx,
|  | uint32_t | flag
| ) |  |

Check active flag.

Register|BitsName --------|-------- STAT | DCOL STAT | TXE STAT | RFF STAT | RFNE STAT | TFE STAT | TFNF STAT | BUSY

Parameters

  SPIx | SPI instance
  flag | This parameter can be one of the following values: LL_SPI_SR_DCOL(no effect in SPIS) LL_SPI_SR_TXE LL_SPI_SR_RFF LL_SPI_SR_RFNE LL_SPI_SR_TFE LL_SPI_SR_TFNF LL_SPI_SR_BUSY

Return values

  State | of bit (1 or 0).

Definition at line 1350 of file gr533x_ll_spi.h.

## ◆ ll_spi_is_it_flag()

__STATIC_INLINE uint32_t ll_spi_is_it_flag | ( | spi_regs_t * | SPIx,
|  | uint32_t | flag
| ) |  |

Check interrupt flag.

Register|BitsName --------|-------- INTSTAT | MSTIS INTSTAT | RXFIS INTSTAT | RXOIS INTSTAT | RXUIS INTSTAT | TXOIS INTSTAT | TXEIS

Parameters

  SPIx | SPI instance
  flag | This parameter can be one of the following values: LL_SPI_IM_MST(not effect in SPIS) LL_SPI_IM_RXF LL_SPI_IM_RXO LL_SPI_IM_RXU LL_SPI_IM_TXO LL_SPI_IM_TXE

Return values

  State | of bit (1 or 0).

Definition at line 1398 of file gr533x_ll_spi.h.